Bug 392891 (CVE-2007-4766) - CVE-2007-4766: pcre < 7.3 integer overflows
Summary: CVE-2007-4766: pcre < 7.3 integer overflows
Status: CLOSED CURRENTRELEASE
Alias: CVE-2007-4766
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=vendorsec,reported=20070917,pu...
Keywords: Security
Depends On: 378411
Blocks: 307451
TreeView+ depends on / blocked
 
Reported: 2007-11-20 19:48 UTC by Ville Skyttä
Modified: 2016-03-04 12:42 UTC (History)
1 user (show)

Fixed In Version: 7.3-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 16:36:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2007-11-20 19:48:14 UTC
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-4766

"Multiple integer overflows in Perl-Compatible Regular Expression (PCRE) library
before 7.3 allow context-dependent attackers to cause a denial of service
(crash) or execute arbitrary code via unspecified escape (backslash) sequences."

F7 ships pcre 7.0.

Comment 1 Fedora Update System 2008-02-15 16:34:34 UTC
pcre-7.3-3.fc7 has been submitted as an update for Fedora 7

Comment 2 Fedora Update System 2008-02-19 03:20:13 UTC
pcre-7.3-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pcre'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-1842

Comment 3 Fedora Update System 2008-03-06 16:36:24 UTC
pcre-7.3-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.